Bug 1248804 (CVE-2015-5181) - CVE-2015-5181 A-MQ Console: script injection into queue name
Summary: CVE-2015-5181 A-MQ Console: script injection into queue name
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-5181
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1242522 1284692
TreeView+ depends on / blocked
 
Reported: 2015-07-30 21:12 UTC by Chess Hazlett
Modified: 2021-02-17 05:04 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was found that the JBoss A-MQ console would accept a string containing JavaScript as the name of a new message queue. Execution of the UI would subsequently execute the script. An attacker could use this flaw to access sensitive information or perform other attacks.
Clone Of:
Environment:
Last Closed: 2017-01-30 19:28:52 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2556 0 normal SHIPPED_LIVE Important: Red Hat JBoss Fuse 6.2.1 update 2015-12-08 01:46:59 UTC
Red Hat Product Errata RHSA-2015:2557 0 normal SHIPPED_LIVE Important: Red Hat JBoss A-MQ 6.2.1 update 2015-12-08 01:46:54 UTC

Description Chess Hazlett 2015-07-30 21:12:47 UTC
It was found that A-MQ console would accept a string containing javascript as the name of a new message queue. Execution of the UI would subsequently execute the script. An attacker could use this flaw to access sensitive information or perform other attacks.

Comment 2 Martin Prpič 2015-12-06 15:13:43 UTC
Acknowledgements:

Red Hat would like to thank Naftali Rosenbaum of Comsec Consulting for reporting this issue.

Comment 3 errata-xmlrpc 2015-12-07 20:53:17 UTC
This issue has been addressed in the following products:

  Red Hat JBoss A-MQ 6.2.1

Via RHSA-2015:2557 https://rhn.redhat.com/errata/RHSA-2015-2557.html

Comment 4 errata-xmlrpc 2015-12-07 20:54:45 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Fuse 6.2.1

Via RHSA-2015:2556 https://rhn.redhat.com/errata/RHSA-2015-2556.html


Note You need to log in before you can comment on or make changes to this bug.